jclouds-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Paul Merlin (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (JCLOUDS-974) GSON 2.3 pom is buggy, use 2.3.1 instead
Date Wed, 05 Aug 2015 08:14:05 GMT

    [ https://issues.apache.org/jira/browse/JCLOUDS-974?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14654990#comment-14654990
] 

Paul Merlin commented on JCLOUDS-974:
-------------------------------------

That's fine by me, I worked around the issue by explicitely depending on GSON 2.3.1.
Thanks

> GSON 2.3 pom is buggy, use 2.3.1 instead
> ----------------------------------------
>
>                 Key: JCLOUDS-974
>                 URL: https://issues.apache.org/jira/browse/JCLOUDS-974
>             Project: jclouds
>          Issue Type: Bug
>    Affects Versions: 1.9.0
>            Reporter: Paul Merlin
>            Assignee: Andrew Gaul
>             Fix For: 2.0.0
>
>
> Gson pom for 2.3 contains a small mistake that turns into some "syntax error" with some
maven versions.
> It happened on builds.a.o: http://s.apache.org/lGu
> I can't tell the exact maven version that was on that slave.
> I found these Gson issues:
> - https://github.com/google/gson/issues/596
> - https://github.com/google/gson/issues/588
> - https://github.com/google/gson/commit/6580921f9d6f399a6bc20355d83aea60168d8d5c
> In these, users report Maven 2.x, 3.0.4, 3.2.2, 3.2.3 as exhibiting the issue.
> Reported as working: Maven 3.0.5, 3.1.1, 3.3.3.
> JClouds depends on Gson 2.3, see JCLOUDS-719.
> This is fixed in Gson 2.3.1.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message